package com.goafanti.cognizance.service;

import java.util.List;

import com.goafanti.common.model.OrgFinance;
import com.goafanti.core.mybatis.page.Pagination;

public interface OrgFinanceService {


	OrgFinance insert(OrgFinance orgFinance);

	int updateByPrimaryKeySelective(OrgFinance orgFinance);

	Pagination<OrgFinance> listFinance(Integer year, Integer pNo, Integer pSize, String userId);

	int deleteByPrimaryKey(List<String> id);

	OrgFinance selectFinanceByUidAndYear(String uid, Integer year);

	OrgFinance selectByPrimaryKey(String id);

}
